package cc.smtweb.framework.core.mvc.service;

import cc.smtweb.framework.core.common.SwMap;

import java.util.HashMap;
import java.util.Map;

//一个sql及其参数，具名参数
public class SqlNamedPara {
    public String sql = "";
    public SwMap paras = new SwMap();
    //页码，从1开始；为0，则不需要分页
    public int page = 0;
    //每页记录数
    public int rows = 20;
    //字段别名
    public Map<String, String> mapFieldAlias = new HashMap<>();

    public SqlNamedPara(String sql) {
        this.sql = sql;
    }

    public SqlNamedPara(String sql, SwMap paras) {
        this.sql = sql;
        this.paras = paras;
    }

    public void addParas(String name, Object value) {
        paras.put(name, value);
    }

    public void addFieldAlias(String fieldName, String alias) {
        mapFieldAlias.put(fieldName, alias);
    }
}
